# Uses of Enum Class
javafx.scene.chart.LineChart.SortingPolicy

Packages that use LineChart.SortingPolicy
Package
Description
javafx.scene.chart
The JavaFX User Interface provides a set of chart components that are a very convenient way for data visualization.

## Uses of LineChart.SortingPolicy in javafx.scene.chart

Methods in javafx.scene.chart that return LineChart.SortingPolicy
Modifier and Type
Method
Description
`final LineChart.SortingPolicy`
LineChart.`getAxisSortingPolicy()`
Gets the value of the `axisSortingPolicy` property.
`static LineChart.SortingPolicy`
LineChart.SortingPolicy.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LineChart.SortingPolicy[]`
LineChart.SortingPolicy.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.chart that return types with arguments of type LineChart.SortingPolicy
Modifier and Type
Method
Description
`final ObjectProperty<LineChart.SortingPolicy>`
LineChart.`axisSortingPolicyProperty()`
Indicates whether the data passed to LineChart should be sorted by natural order of one of the axes.
Methods in javafx.scene.chart with parameters of type LineChart.SortingPolicy
Modifier and Type
Method
Description
`final void`
LineChart.`setAxisSortingPolicy(LineChart.SortingPolicy value)`
Sets the value of the `axisSortingPolicy` property.